=== debian/changelog ===
unilog (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Get rid of lintian warning: description-synopsis-starts-with-article.
    - Add Punit Agrawal to Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 Jun 2021 15:48:20 +0900

unilog (1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #986987)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jan 2021 11:53:46 +0900
