=== debian/changelog ===
unilog (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/rules.
    - Add 'DEB_BUILD_MAINT_OPTIONS = hardening=+all'.
  * Update d/control.
    - Update Maintainer and Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2021 17:24:21 +0900

unilog (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches/0002-Add-support-static-build.patch
  * Update d/patches/0003-Change-install-path-of-cmake-files.patch
  * Update d/control:
    - Bump Standards-Version to 4.5.1 (no change).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Aug 2021 14:20:56 +0900
