=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: unilog
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Uploaders: Punit Agrawal <punit@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+           Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), cmake,
 	       libgoogle-glog-dev (>= 0.4.0-4),
 	       libboost-filesystem-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog
