=== debian/changelog ===
unilog (2.5-2build5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:17 +0200

unilog (2.5-2build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:53 +0200

unilog (2.5-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:35 +1100

unilog (2.5-2build2) noble; urgency=medium

  * No-change rebuild against libgoogle-glog0v6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:23:21 +0000

unilog (2.5-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:57:11 +0100

unilog (2.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Aug 2022 10:46:32 +0900

unilog (2.5-1) experimental; urgency=medium

  * New upstream release.
  * Update d/control
    - Bumped Standards-Version to 4.6.1.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 11:47:49 +0900

unilog (2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/patches.
    - Refresh patches
  * Update soname to 2.
    -  Change package name to libunilog2.
  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
  * Update d/copyright.
    - Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 13:50:53 +0900
