=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: unilog
-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
 Uploaders: Punit Agrawal <punit@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
@@ -7,13 +8,13 @@
 Build-Depends: debhelper-compat (= 13), cmake,
 	       libgoogle-glog-dev (>= 0.4.0-4),
 	       libboost-filesystem-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog
 Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog.git
 
-Package: libunilog1
+Package: libunilog2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -28,7 +29,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-glog-dev (>= 0.4.0-4), libunilog1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-glog-dev (>= 0.4.0-4), libunilog2 (= ${binary:Version})
 Description: wrapper library for google-glog (develop)
  Define unified log formats for Xilinx vitis ai tools.
  .
