=== debian/changelog ===
unilog (3.5-2) experimental; urgency=medium

  * d/control:
    - Add libboost-filesystem-dev to Depends of libunilog-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 23 Feb 2025 08:51:52 +0900

unilog (3.5-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Update 0002-Add-support-static-build.patch.
  * d/control:
    - Bump Standards-Version to 4.7.0.
  * d/copyright:
    - Update copyright year.
  * Update soname from 2 to 3.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Feb 2025 00:26:33 +0900
