=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
 
@@ -7,6 +8,8 @@
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_PREFIX=/usr \
 	-DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"
+
+LICENSE_TMPFILE := $(shell mktemp "/tmp/license-check.tmp.XXXXXX")
 
 %:
 	dh $@
@@ -38,3 +41,7 @@
 	# put the static libs together with the rest of the stuff
 	cp -v $(BUILDDIR)-static/src/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	-$(RM) -r $(BUILDDIR)-static
+
+check_license_update:
+	@decopy --no-progress -X debian --output $(LICENSE_TMPFILE)
+	@diff -urN $(CURDIR)/debian/copyright.tmpl $(LICENSE_TMPFILE)
